org.keycloak.dom.saml.v2.profiles.sso.ecp

## Class ResponseType

- java.lang.Object
- - org.keycloak.dom.saml.v2.profiles.sso.ecp.ResponseType

-     public class ResponseType
      extends Object

  Java class for ResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ResponseType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute ref="{http://schemas.xmlsoap.org/soap/envelope/}mustUnderstand use="required""/>
             <attribute ref="{http://schemas.xmlsoap.org/soap/envelope/}actor use="required""/>
             <attribute name="AssertionConsumerServiceURL" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI"
       />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `actor`
    `protected String` | `assertionConsumerServiceURL`
    `protected Boolean` | `mustUnderstand`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResponseType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getActor()` Gets the value of the actor property.
    `String` | `getAssertionConsumerServiceURL()` Gets the value of the assertionConsumerServiceURL property.
    `Boolean` | `isMustUnderstand()` Gets the value of the mustUnderstand property.
    `void` | `setActor(String value)` Sets the value of the actor property.
    `void` | `setAssertionConsumerServiceURL(String value)` Sets the value of the assertionConsumerServiceURL property.
    `void` | `setMustUnderstand(Boolean value)` Sets the value of the mustUnderstand property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mustUnderstand

          protected Boolean mustUnderstand

    - #### actor

          protected String actor

    - #### assertionConsumerServiceURL

          protected String assertionConsumerServiceURL

  - ### Constructor Detail

    - #### ResponseType

          public ResponseType()

  - ### Method Detail

    - #### isMustUnderstand

          public Boolean isMustUnderstand()

      Gets the value of the mustUnderstand property.
      Returns:
        possible object is `String`

    - #### setMustUnderstand

          public void setMustUnderstand(Boolean value)

      Sets the value of the mustUnderstand property.
      Parameters:
        `value` - allowed object is `String`

    - #### getActor

          public String getActor()

      Gets the value of the actor property.
      Returns:
        possible object is `String`

    - #### setActor

          public void setActor(String value)

      Sets the value of the actor property.
      Parameters:
        `value` - allowed object is `String`

    - #### getAssertionConsumerServiceURL

          public String getAssertionConsumerServiceURL()

      Gets the value of the assertionConsumerServiceURL property.
      Returns:
        possible object is `String`

    - #### setAssertionConsumerServiceURL

          public void setAssertionConsumerServiceURL(String value)

      Sets the value of the assertionConsumerServiceURL property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2020 JBoss by Red Hat. All rights reserved.